<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create person form</title>
    <link rel="stylesheet" th:href="@{/styles.css}" />
</head>
<body>
    <form method="POST" th:action="@{/form}" th:object="${user}">
        <h1>Create user</h1>
        <div th:if="${#fields.hasErrors()}">
          <span class="validationError">
             Please correct the problems below and resubmit.
          </span>
        </div>
        <label for="name">Name:</label>
        <input id="name" type="text" th:field="*{name}"/>

        <span class="validationError"
            th:if="${#fields.hasErrors('name')}"
            th:errors="*{name}">Name Error
        </span>
        <br/>

        <label for="age">Age:</label>
        <input id="age" type="text" th:field="*{age}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('age')}"
              th:errors="*{age}">Age Error
        </span>
        <br/>

        <label for="userType">User type:</label>
        <select id="userType" name="userType" th:field="*{userType}" required>
            <option th:each="type : ${T(com.example.validForm.User.UserType).values()}"
                    th:value="${type}" th:text="${type.name()}"></option>
        </select>
        <span th:if="${#fields.hasErrors('userType')}" th:errors="*{userType}"></span>

        <br/>
        <input type="submit" value="Submit"/>
    </form>


</body>
</html>